<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Gallery_report extends CI_Model{
	var $gallery_path;
	var $gallery_path_url;

	function Gallery_report(){
		$this->gallery_path = realpath(FCPATH . "img/logos");
		$this->gallery_path_url = base_url() . 'dist/candidate';
	}

	function do_upload($reportID){
			$config = array(
				'allowed_types' => 'jpg|png|gif',
				'upload_path' => $this->gallery_path,
				'file_name' => $reportID . '.jpg',
				'overwrite' => TRUE
			);
			if (is_uploaded_file($_FILES['userfile']['tmp_name'])) {
				$this->load->library('upload', $config);
				$this->upload->do_upload();
				$image_data = $this->upload->data();
				$data = array(
					'logo_report' => $image_data['file_name']
				);
				$this->db->where('reportID', $reportID );
				$this->db->update('report_setting', $data);

				$config = array(
					'source_image' => $image_data['full_path'],
					'new_image' => $this->gallery_path . '/logos',
					'file_name' => $reportID . '.jpg',
					'maintain_ratio' => true,
					'width' => 150,
					'height' => 150
				);

				$this->load->library('image_lib', $config);
				$this->image_lib->resize();

				return $image_data['file_name'];
			}else{
				return $this->input->post('report_picture');
			}
			// return $image_data['file_name'];
	}

}
